
This changelog is the canonical source of information for Q4MAX.
Any document that disagrees with it is almost certainly wrong, unless it's our own wiki (http://www.q4max.com/wiki).

Note: like every other version of Quake, Q4 "listen" servers are EXTREMELY defective.
They MAY work but they're not officially supported. Always use a "dedicated" server.


Notes for version 0.82 (12 Jun 08)

add: cg_unsmoothclients <0-2, default 2>.
     This cvar controls how the position of other players is predicted.
     Value 0 is equivalent to pre 0.82 behaviour, and gives the least accurate representation of the players positions, but they move smoothly.
     Value 2 (default) gives the most accurate position, but when players dodge, can get a bit "warpy" especially at higher pings.
     Using a value of 2, players may find they are able to play at much higher pings than they previously thought 
     acceptable - the extra warping does not become a big issue until over 100ms ping.

add: new gametype / mode: Domination ("callvote mode DOM")
     Domination is a teamgame where you capture the dom points by standing near them for a few seconds,
     and your team scores while you hold more points than the oposition. 

add: Tutorbot - "addTutor", "playTutorial", "stopTutorial", "loopTutorial", "recordTutorial", and "stopRecordingTutorial".
     The tutorbot is a special bot which can be added via addTutor, which can play-back special "tutorial" demos, recorded 
     via recordTutorial.
     If you wish to share a "cool jump" that you can make, then record a tutorial - other players can then easily watch the bot do the jump,
     and learn how to do it using hud_showInput 1. 
     We will be accepting submissions of good tutorials on movement for the next release, so please submit tutorials for all the common maps.

add: -item and iteminhibit votes
     Used to prevent specific items being spawned - only usable from custom modes, not using callvote. 
     -item takes item names and can be used many times to block multiple items. eg, "-item RG" "-item AmmoRG" "-item Quad"
     iteminhibit is a bitflag, if you choose to learn the numbers for them.

add: Superhud: You can flip the images on decorates and percentagebar elements with the "flip" property.
     Can be flip x, flip y or flip both.

add: Superhud: You can rotate images on decorates and percentage bars with the "rotate" property.
     Can be rotate 90, rotate 180, rotate 270.
     
add: Superhud: "hudSetProperty <element> <property> <value>". Useful when testing changes to your hud.

add: Superhud: maxAwards keyword on awardlist so you can tweak the point at which it switches to numbers instead of multiple icons.

add: You can set infinite starting ammo for weapons with startammo* -1.

add: Added vote_allow* cvars for the various FT votes that didn't have any.

add: New hud style added - maxhud1. 

chg: Removed hud_useSuperhud - now forcing superhud behaviour. Along with this, removed all old hud code.

chg: Removed cg_predict* cvars. The behaviour is forced now, as it is always the best thing to use.

chg: Removed cg_weaponFovEffect. It is always on now.

chg: Removed unused hud_*position cvars.

chg: Delay on votes passing reduced back to 2s for all but map+mode votes, and those only when bots are present.

chg: Votelist etc now shows strong/weak for callvote armorsystem.

chg: Spectimers icons are no longer partially transparent (mainly makes quad look better).

chg: Ingame "mute/unmute player" text clarified. These buttons mute say/sayteam/voicechat. Aliased as /ignore and /unignore

chg: Prediction behaviour on repeaters is different. Perhaps fixes crazy net_clientprediction values for tv viewers, and lowers cpu load ?

chg: LG impact fx tweaked.

chg: Hiding the hud (eg showing the scoreboard, toggling g_showhud) no longer stops calculating hud_FPS values.

chg: Changed a number of things about the scoreboards which should result in better performance when displaying them.

chg: Admin menu now uses similar method to the vote menu, so admins can use rcon to change all votable properties easily. Added side benefit
     of the maps and modes listed being the ones on the server when using rcon.

fix (RB): "The rocket PVS bug" - fixed the long-standing q4mp issue where projectiles could be invisible in some cases.

fix (RB): Memory leak relating to .gui's. Also removed a number of unnecessary .gui's.

fix: Fixed zoom gui being shown over all views in multipov mode (now skipped in multipov).

fix: Bots didn't really like weaponstay (weaponrespawn 0).

fix: Weaponlist shows 0 ammo on gauntlet during warmup.

fix: Icons above player heads don't lag behind anymore.

fix: Can now change throttled userinfo cvars immediately after joining server. ie, can join teams within first 10s

fix: Taunt animations now work correctly again ("headless quaker" bug).

fix: If using startAmmo* higher than the max, raise the max to the start value, so that it doesn't go down on picking up ammo.

fix: networkStats showed PL incorrectly.

fix: autoaction no longer stops recording at suddendeath.

fix: "random" gibbing when no other players are around should no longer happen.

fix: The available modes as specified by si_modes is now displayed correctly in the vote menu when using spaces in si_modes.

fix: Callvote menu on a listen server now show the modes from si_modes correctly.

fix: Superhud: weaponlist still draws highlights with icondimensions 0 0.

fix: Superhud: PredecorateText works now.

fix: Superhud: weaponlist now looks correct with textAlign C and all fonts.

fix: Superhud: Spread was broken with superhud.


Notes for version 0.81 (31 Jan 08)

add: Superhud: hud_useTeamColors 1 to make the hud use your cg_enemyColor / cg_teamColor.

add: Superhud: marineColor / stroggColor keywords can be defined (usually in "!default") to set fixed colors for marine + strogg (with hud_useTeamColors 0)

add: Superhud: added ^CMMM / ^CSSS for strogg/marine colour, and ^CTTT / ^CEEE for team/enemy colours. 

add: Superhud: elements can use color W for the weapon's color. Can also specify an alpha value (eg "W 0.9"). This can be used on any color 
     property of any element. If you set this on the weaponlist, the colour applies to each weapon.

add: Superhud: textalign C can be used on percentage bars (health, armor, ammo) for scaling around their center point.

add: Superhud: iconOffset, itemSpacer, textOffset properties for fine tuning of the weaponlist, poweruplist, spectimers and awards hud elements.

add: Superhud: hud_textQuality. Can be used to adjust the font selections. Default of 1 is likely best for most.

add: superhud: font sizes are now based upon the screen resolution, improving rendering quality at high resolution.

add: mode/callvote: startammoMG -> startAmmoNPG for setting starting ammo.

add: mode/callvote: startweapons - bitmask of starting weapons.

add: Folder icon in the demo player list.

add: Serverside XML stat dumps now record powerup pickup counts + times.

chg: Superhud: teamcolor 1 / enemycolor 1 have now become color T/color E. Can also specify an alpha value (eg "T 0.9").

chg: Superhud: the "visible" keyword can be used to make elements apply only to specific gametypes. All tags after the visible keyword 
     will be ignored if they do not apply to that type of game.

chg: Superhud: TO now truncates player names at column end, not fixed at 5 chars.

chg: Superhud: minimal hud has a new weaponlist layout. Also uses red vs blue marine/strogg colors, and colored h/a/ammo numbers.

chg: Superhud: weaponlist, ammo, and all color W items now switch slightly quicker than before. Can be out of sync with weapon anim, but 
     feels more responsive.

chg: FT: end of round respawn logic respects lastKiller now

chg: FT: players killed by the void now teleport to a respawn point as a frozen player.

chg: FT: bots now have an understanding of FT. They know to thaw (sometimes), and wont keep shooting at frozen players.

chg: Altering r_archiveLightDetailLevel triggers the lights to change immediately.

chg: pm_thirdperson* changed to cg_* to prevent q4mp having these cheat protected as causing problems (for those not setting fs_game correctly)

chg: removed pm_thirdPersonDeath and g_stopTime, since both are dead code paths, and should never be used (and cheat protected in q4mp)

chg: multipov now works with simple items, and so no longer turns them off when in multipov mode.

chg: WeaponList highlight now shows the weapon you're switching to, not the current weapon. Feels more responsive (although not
     technically current weapon)

chg: bot_maxAimError default increased, and no longer cheat protected so if bot_skill isnt making them bad enough aim, you can increase this further.

chg: Banlist made much more robust. It now saves the banlist immediately, and will tell you if it fails.

chg: Q4TV viewers can now change pov / freefloat while the game is paused. Can also view scores too.

chg: skip the napalm ember dynamic-light with bse_scale < .8

fix: Superhud: TO resets color after the player name, to prevent colored names affecting the rest of the row

fix: Superhud clearing chat etc - was mainly at end of game, and also when respawning.

fix: Superhud: TO was not clearing unused slots properly in the superhud, so caused apparent duplicate players

fix: Superhud: crosshair squash ratios were switched between 16:9 and 16:10 modes.

fix: Superhud: CTF flag icons werent visible for freefloats (hud .cfg fix)

fix: Superhud: the damage indicator got stuck "on" after using pause/timeout. 

fix: FT: overtime + sudden death now actually work

fix: FT: thawed players now gib where they were frozen, not the spawn point. The gibs are now given a frozen look too.

fix: FT: frozen players can no longer switch weapons.

fix: FT: Knockback of frozen players should feel more normal now.

fix: FT: Allowed frozen players to cycle spectators when in multipov mode using crouch/fire as normal.

fix: FT: Frozen players are always forced out of multipov mode when they are thawed.

fix: FT: crosshair text when multipov'ing was showing for the local player, not the spectated player.

fix: FT: Crosshair text shows -273 health for frozen players, not 1

fix: FT: Multipov shows the correct "following" text when speccing

fix: Server crash when running with bots, where a player disconnects while a bot is tracking projectiles they fired.

fix: Anti-cheat protection was preventing the cammod from being used.

fix: setting r_vertexlight 0 no longer turns on lights it should not, based upon r_lightDetailLevel.

fix: runBotAAS checks that maps exist before scheduling a reload to prevent an infinite loop.

fix: Ingame menu automatically displays the correct list of video modes for non 4:3 aspect ratios 

fix: You can now remove IP based bans via the gui.

fix: Corrected issue which caused the ingame menu to stop working after removing a ban via the admin menu.


Notes for version 0.80 (02 Dec 07)

add: Superhud. 
     - Custom huds are now configured via .cfg files, similar to CPMA Superhud files, rather than the .gui files.
     - The entire hud has been rewritten, giving typically 25% or more FPS boost for all players.
     - hud_style now takes the name of the .cfg file to use. The names are taken from q4max/hud/*.cfg, plus the standard huds.
     - hud_useSuperhud (default 1), can be used to toggle back to old-style huds. Note that this is a transitionary cvar. If there
       is ANY reason why you wish to use old-style huds, post on the forums as these will be removed in a future release.
     - reloadHud command reloads the current hud.
     - The various cvars for changing the position of GUI elements (timer, spectimers, showinput etc) are now removed. Use hud cfgs.
     - The cvars for hiding/showing specific gui elements (lagometer, showinput etc) are still respected.

add: Bots. 
     - addbot <name> - server command to manually add a bot to the server. Can be done through the "admin" ingame menu.
     - bot_minPlayers - set this to > 0, and the server will automatically add/remove bots to make sure there are at least x
       players on the server. eg, set to 4, with 1 human you get 3 bots, with 3 humans, you get 1 bot. 
     - bot_skill - use this to adjust the skill level of the bots. 1=newb, 5=hardcore.
     - runBotAAS <mapname> - command to create .maxaas01 files, to teach the bots how to play maps. This is only needed for
       maps that we have not already distributed aas for. 
     - other bot_* commands are generally for debugging, and should typically be left alone. Players creating bot personalities
       may wish to set bot_debug 1 + bot_debugWeightings 1, and test on a listen server.
     - Behind the scenes, lots of changes to the bot AI.

add: External launcher application included simplifies launching q4max under Windows - just double-click LaunchQ4Max.exe. 
     - Launcher checks your installation, so if you are getting errors, we strongly recommend you use this to start q4max.
     - Launcher requests Admin permissions under Windows Vista.
     - Launcher automatically sets fs_game q4max, and has options for windowed mode and logging.

add: Mac OS X compatibility is back.

add: BroadcastMsg server command.
     Sends a string to clients, which will show in the MOTD field. Useful for "shutting down server!" warnings or TV centerprints.
     
add: ingame/remove commands for referees : add and remove players outside of teamgames.

add: hud_multipovMinHud <0|1, default 1> when in multipov, toggles the display of a full hud in the main pov.

add: cg_damageDraw <0|1, default 1> controls the red blob that appears when you take damage.

add: cg_zoomGraphics <0|1, default 1> controls the zoomed mg/rg graphics.

add: AddIPToBanList, RemoveIPFromBanList commands added to complement the AddGuidToBanList, RemoveGuidFromBanList, and ShowBanList 
     server commands added in a previous release (possibly undocumented). These maintain the q4 banlist, not the PB banlist. 
     The IP check is prefix comparison, so checking "addIPToBanList '123.123.123' will include all IPs in the range "123.123.123.*" 
     - dont add the *. Note that if Q4 resolves the names (eg "localhost", or machines on your LAN) you will need to use these names.

chg: Menus have been overhauled significantly.
     - New settings and ingame menu layouts : edit all the options from within a game.
     - More reactive screen transitions.
     - More consistant style across all menus.
     - EnforceFS explanation and warning in the Demo menu.
     - Crosshair previews are drawn with the actual used color, instead of showing up as white if you're not using one of the presets.
     - Fixed clicking buttons behind popups.
     - Many other changes and fixes.

chg: Demos menu now supports folders within the q4max/demos folder.

chg: Removed hud_*position, added net_clientUserCmdBackup/Packing, hud_fps and new hud cvars to the profiles.

chg: The crosshair scales with widescreen aspect ratios. 

chg: g_crosshairCustom / g_crosshairCustom2 numbers have changed for practical reasons. The numbers now tally with the weapon numbers.

chg: Autoaction replaces underscores in map names with dashes (i.e l4dm2-1) for better presentation in the Demo Browser.

chg: Unprotected win_allowalttab (whether it does anything useful or not is unknown).

chg: Autodownload now disabled by default - the sample server config still enables the external HTTP downloads by default.

chg: If configured to use turkeyfiles for downloads, Q4Max servers will error and shut down since this is no longer available.

chg: pm_thirdPerson 1 may now be set for spectators, even if the server does not allow cheats. Third person view can still only
     be used by players if cheats are allowed.

chg: When playing a demo through the demo menu, SMP related crashes when starting the demo should be cured. Note that SMP crashes 
     will still occur with listen servers, or playing demos manually via the console.

chg: When changing maps through mapcycle etc, the server will announce the map that it is changing to shortly before it switches 
     as this now uses the same mechanism as voting a map change.

chg: If the server is set to g_allowSpecTimers 0, the spectimers will not show in the hud.

chg: All 8 pm_*bob* cvars changed to g_*bob*.
     Too many people don't RTFM and don't set fs_game correctly, so suffer bobbing even though they tried to turn it off.
     This will be cured by this change.

fix: Quake 4 crash when using projectile lights and napalm.

fix: Killing players could start a jump sound stuck in a short loop

fix: Performance issue with showinput on ATI cards.

fix: Crosshair names did not show up when following players.

fix: When a demo ends, it now returns you correctly to the main menu, rather than leaving you at the console.

fix: Wrong transparency on the deadzone powerup icon.

fix: Exploit with ui_handicap in teamgames.

fix: View bobbing toggle works properly.

fix: Spec timers no longer display incorrect times when entering overtime

fix: callvote mode + map now validates the gametype is suitable for custom modes, so won't let you vote for (say) ICTF + mp/q4dm1

fix: When a Q4TV shuts down to an addon.conf map, clients will now automatically reconnect. Note that it will show "connecting" 
     for a while, so give it time.

fix: Corrected an issue where some gametypes could trigger "SelectSpawnPoint() - invalid spawn points in list" even if there were 
     valid spawn points.

fix: Corrected "you lose" sound incorrectly playing when completing a sudden-death.

fix (workaround): userinfo problems (aka "scoreboard bug") can perhaps be corrected by the "fixUserInfo" command.
    If using the command once doesnt help, don't bother spamming it - it will either work, or it wont.

fix: Q4TV viewers no longer crash in non-DUEL modes if you have ui_autoaction "ss".


Notes for version 0.78d (21 Jun 07)

chg: net_clientPredictWeaponSwitch defaults to 0
     If you experience bogus weapon switches, set this to the new default value.

fix: "scoreboard bug" with spectators shown as in game after changing mid

fix: spectimers no longer vanish after a serverMapRestart


Notes for version 0.78c (18 Jun 07)

add: Q4 beta 1.4.2 compatibility - this version of Q4Max does not run on previous versions of Quake 4.

add: Tickrate is now mode-controlled through the "tickrate" setting. The core default is 60, duel runs at 90.
     si_fps is now read only. See the Votes and Modes documentation pages for more info.

add: Spectators can now see respawn timers for powerups, armor, and the MH. This is enabled serverside via g_allowSpecTimers,
     Clients can enable/disable it with hud_showSpecTimers and position it using hud_specTimerPosition.

add: Initial Battlesuit support. Mappers : in the entity menu, select pickup/powerup/powerup_battlesuit.

add: NetworkStats command.
     On clients, reports in/out rate and incoming PL to the console.
     On servers, does this for all connected clients.
     
add: _moveDown can be used to cycle views backwards in spectator mode.
     
add: cg_drawcrosshairnames 2 : teammate crosshairnames use ui_nick.

add: "performance" and "eye candy" presets in the profiles menu.

add: Game Version reported in the Server Info tab of the ingame menu (i.e "Q4Max 0.78c")

chg: Too many bot things to list, considering they're still unsupported ;)

chg: Allow teamchat for specs even in non-team gametypes.

chg: Not showing ui_clan in crosshair names anymore.

chg: Only beep on player chat/teamchat. This excludes server/game messages and TV chat.

chg: god, noclip, give commands accessible again. Only useful on listen servers (go mappers).

chg: Tweaked gladiator rail effect.

fix: Coach now able to cycle views when team is speclocked.

fix: Speclocking a team should now force uninvited specs to view something else.

fix: Hud powerups stuck when switching teams.

fix: Couldn't select Gladiator rail in the main menu.


Notes for version 0.78b (19 Apr 07)

add: Reintroduced the "failed transfer" model with a PM version and quiet footstep sounds.

add: Capture xml stats from demos with demo_capturestats 1.

chg: cg_blood 1/0 back to normal on _all_ models. (see quick blood fixes in .78a)

chg: Tweaks to the .78 stats stylesheet : weapon icons + awards are back, minor formatting tweaks.

chg: Serverside XML stats are now generated on callvoting map changes, map restarts, etc.

chg: fs_xslTemplate no longer marked as archive. We do not recommend you have this in your configs unless you use a non-default xsl template.

chg: You can press enter to validate a password prompt or a profile save prompt.

chg: "players" now works for Q4TV on both repeaters and for viewers.

chg: net_serverDlBaseURL default changed to reference q4files.quakecommunity.com

fix: "follow" now works for Q4TV viewers again.

fix: Reverted to former projectile collision code, solving projectiles terminating in wrong places.

fix: A rounding issue with handicap increased weapon damages by 1 unit on linux servers.

fix: Players warping to spawn points (no, really).

fix: Clients connecting during a timeout would crash.

fix: Changing hud_style reset the timer to the upper left corner.

fix: Scorebot feed is now reflected through chained repeaters.

fix: Couldn't switch POVs on Q4TV in some special cases with spectators on the game server.

fix: Corrected errors on Q4TV after changing some serverinfo vars without a full restart (eg ref callvote mode)

fix (RB): Walking on stairs when zoomed looked jittery.

fix: Corrected player movement when sliding along walls which caused player to get stuck. Code update provided by id Software.


Notes for version 0.78a (03 Apr 07)

add: Q4 beta 1.4.1 compatibility - this version of Q4Max does not run on Q4 beta 1.4.0 or lower.

add: cg_railstyle 3 adds a new rail effect similar to the SP Gladiator rail.

add: You can now preview team/enemymodel colors in the GUIs.

add: A few extra cvars saved into profiles : cg_predictmg/sg/rg, g_gunx/y/z, hud_multipovstyle, g_favoriteList

chg: GUIs for vertexlight/forceambient and other lighting options made clearer.

chg: Removed the "aligned" crosshairs, 1.4.1 has better crosshairs that do this.

chg: cg_blood 0 now disables blood, but replaces it with spark effects.

fix: Some explosions not displayed when directly hitting players if cg_blood 0.

fix: You can now turn g_feedscorebot back on, Q4 1.4.1 fixes the segfault / access violations that were occuring.

fix: Changing si_fps on a live server restarts the map at the proper tickrate instead of going crazy.

fix: Switching povs as a spectator sometimes didn't work, and/or caused projectiles to disappear. Also related, scoreboard would stick open, and various other issues as a spectator.

fix: Tourney mode client crash on player disconnecting.


Notes for version 0.78 (13 Feb 07)

add: Q4 1.4 compatibility - this version of Q4Max does not run on Q4 1.3.

add: Q4TV Chat. Clients can disable it with cg_notvchat [0|1, default 0]. Q4TV Servers can disable it with g_notvchat [0|1 default 0].

add: "multipov" command is now supported for Q4TV.

add: cg_predictMG cg_predictSG cg_predictRG) [0|1, default 0].
     When enabled, your own mg/sg/rg effects will be predicted as you fire, instead of waiting for the info to come back from the server.
     This makes for extra responsiveness at the cost of accuracy.
     
add: cg_poweruplights, cg_muzzleflashlights toggle different kinds of dynamic lights. (not available with forceambient).

add: Thinner lg graphic with cg_thinshaft 2, spiral only railtrail with cg_railstyle 2.

add: cg_deadbody 2 darkens dead players.

add: Speed meter (hud_showspeed). Move it around with hud_speedposition (x y, default 550 70)

add: Alternative multipov view styles with hud_multipovstyle (0-4, 1 default, 0 for .77 style)

add: Current player highlighted on the hud in duel/ffa.

add: Slight viewmodel recoil on NG/HB/RL.

add: viewSizeUp / viewSizeDown commands resize the main view. Can also be set explicitly via r_viewSizePercent.

chg: Network traffic optimizations.

chg: Bobbing-related cvars now default to 0.

chg: cg_teamchatonly works outside of teamgames.

chg: The cubemap pass on textures/terminal/floor_mp and frozen player materials only shows up when "High quality special effects" are enabled. (found in system/advanced settings, or r_skipnewambient)

chg: Removed com_warnings. Use developer 1 if you need to see warnings from now on, thanks to the 1.4 update.

chg: cycling spectators no longer takes you to freefloat after cycling through all players. 

chg: XML Stats output updated, and XSL template significantly updated. Note that this is part 1 of an ongoing improvement to the MAXStats package.

chg: display si_fps in the serverinfo gui section.

chg: Light Detail Level properly archived and applied when joining games through r_archivedLightDetailLevel.
     This effectively replaces r_lightDetailLevel.

fix: (Partial) Actual shooting and shooting animations/sounds were going out of sync when holding _attack over the course of a weapon switch.

fix: Simpleitems disappeared in front of some surfaces.

fix: Endgame statistics showed a "score" of 100 (their handicap) for everyone.

fix: Cycling through players as a spectator dropped back to freefloat after a complete cycle.

fix: Missing rocket launcher viewmodel animation.

fix: Items disappearing when dropped / respawned in multipov mode, if g_simpleitems was set to 1.

fix: Items make no respawn sound if g_simpleitems 1.

fix: Players seeing weapon fire-fx (muzzleflash etc) on players firing if they are out of ammo.

fix: Added the airdefense_big_gun vehicle as a static item, to correct one of the entries in the 1.4 CMP.

fix: ui_name now set correctly when edited in the main menu.

fix: ammo indicator glows on some weapons updated.

fix: Create server gui now correct sets the dedicated / lanserver settings based on the gui controls.

fix: #i previously did not report dropped items

fix: (RB) Weapon world models had SP mods when carried by players.


Notes for version 0.77a (2 December 06)

add: Crosshair #25.

add: Bindable "multipov" in the Controls/View menu.

chg: Reverted to pre 0.77 standard skins.

fix: Repositioned id's mainmenu message of the day.


Notes for version 0.77 (23 November 06)

add: multipov command
     Allows spectators (including coaches) to view all members of a team at once.
     Multipov is not restricted to teamgames : it may be used in a duel to watch both players at once.

add: g_allowMultipov [0|1, default 1].
     Enables/disables the 'multipov' command for clients. Server admins should only set this if they have stability issues with multipov.

add: si_autoaction "servermvd" parameter
     Automatically record server mvds.
     Recording such demos is not very stable and may kill servers, so use at your own risk.
     Stability may be improved by reducing demo_snapshotDelay on the server, at the expense of demo filesize.

add: cg_teamchatsonly [0|1, default 0].
     When set to 1, only show team chat messages in team games.

add: teamready command
     Marks everyone on your team as ready.

add: lockteam command
     When g_allowLockTeam is set to 1 (default value), anyone can lock/unlock their team with this command.
     Otherwise, only referees can perform these actions.

add: coachMarine / coachStrogg ref/rcon commands.
     Allows a referee / someone with rcon access to force the specified played id to a coaching position.

add: specMarine, specStrogg, specBoth ref/rcon commands.
     Moves specified player id to spec + specinvites for those teams

add: g_teamAutoJoin [0|1, default 0].
    Force clients to spec on first joining if 0, or allow automatic join if 1.
    Ingame players remain ingame on map changes.
    
add: Team short nicks - ui_nick
     Set a short name to use for team chat/overlay.
     Limited to 5 visible characters, but allows colours.

add: Chat token #n
     Report nearest friend's nick (equivalent to #f, which only reports names).

add: hud_selfOnTeamOverlay [0|1, default 1]
     Toggle your own information showing in the team overlay.

add: Allow the game to be aborted during countdown by toggling your ready status.
    
add: Show flag carrier names on the hud.

add: Show score spread on the hud in TDM.

add: Show Locked/SpecLocked status on the scoreboard.

add: Pick colors in the menus either by clicking color swatches or entering a value.

add: Demo playback controls in the ingame menu. Press esc when playing a demo to access them.
     The commands are stop, slow down (down to 0.25), reset speed, speed up (up to 32).
     You can bind keys to these with disconnect, demoSlowDown, demoSpeedReset, demoSpeedUp.

add: avidemo capability for netdemos
     You can transfer an entire netdemo into a 62.5fps screenshot sequence with aviNetDemo <netdemo>.
     You may manually capture bits of a netdemo with playnettimedemo <netdemo>, then toggling demo_aviscreenshots at wanted times.
     See http://q4max.com/wiki/index.php/Videomaking for more info.

add: Show handicap in the ingame Players menu.

add: Average team pings on the scoreboard.

add: g_motd [string, default empty]
     Message of the day showed on the clients when they first connect to a server.

add: r_ambientscale [default 0.25]
    Sets vertexlight brightness - equivalent to r_forceambient brightness, but can go higher than 1.
    
add: Toggle between vertex light and forceambient in Settings>System menu.
     If you want dynamic lights on powerups, rockets etc. use vertexlight.
    
add: cg_projectilelights [0|1, default 0].
     Show dynamic lights on rockets.
     Note : these lights do not show up if you use forceambient.

add: Mac OS X compatibility.

chg: Vote menu is now fully Q4Max enabled. You can use the vote menu to have an overview of the server's settings.
     Vote items displayed in red are not voteable on that server.

chg: Allow ingamestats/scoreboard/voting during timeouts/pauses.

chg: Don't allow players to freefloat if enemyspec 0 in CA / CTFS.

chg: coachRevoke command can now be used by referees to uncoach players.

chg: Show the scoreboard first when a game ends.

chg: Allow showing the scoreboard at will during servermvd playback.

chg: Show more information in the ingame menu "Server Info" screen. If available, it will show .Administrator .Email and .URL. It will also show the server's max client rate and snapshot delay.

chg: Colored pings. White < 20, green <60, yellow <100, red above.

chg: When forcemodels is off in team gametypes, use Pro Marine / Pro Strogg as marine / strogg models instead of kane / kane stroggified.
     If you want marines to look like marines and stroggs to look like stroggs in one click, turning off forcemodels is the way to go. :)

chg: PM skins brighter, nopicmip (instead of nomip).

chg: No weapon impact sparks when particle detail is set to Low.

chg: Bright armor shards.

chg: p_timer windowdef is back into mphud, removing it from custom huds is recommended.

chg: Renamed g_clientProjectileCollision to cg_clientProjectileCollision to ensure defaults to 0 when loading Q4Max from a different fs_game

chg: si_useready now defaults to 1

chg: si_maxplayers limit increased to 32

fix: Vote menu shows maps from the server, not the client.

fix: Show vote info in the ingame menu when a vote is in progress.

fix: Incorrect vote yes/no counts.

fix: Most cases of "_" nicknames.

fix: #i still reported ammo that had been picked up.

fix: Demos recorded on a server which had fs_game_base set gave an access violation when played from the menu (i.e WSVG London demos).

fix: Teamchat looked like regular chat for coaches.

fix: Disconnecting would leave the mainmenu dead in some cases.

fix: Drop out of pause if we drop back to warmup while paused.

fix: Finished merging some 1.3 tourney changes.

fix: Various crosshair text issues affected players and spectators.

fix: Flag icons stay in their correct positions on flag drops / pickups.

fix: Powerup status was intermittently displayed when spectating.

fix: Hud and crosshairs didn't quite show up properly during servermvd playback.

fix: In-game menu "Server Info" screen sometimes missed data.

fix: Powerup lights only showed up on listen servers.
     Note : these lights are dynamic lights, which do not show up if you use forceambient.

fix: Some static world lights were not removed when using r_vertexlight since Q4 1.3.

fix: Perf : muzzle flash lights use a faster shader. Plus, they're easier on the eyes. :)

fix: PM skins slightly colored parts they should not.

fix: Changing team/enemy colors did not take effect immediately.

fix: Spectator "team" chat now shown as team chat. Includes "say" when mutespecs 1 and in game.

fix: (RB) Hud was not disabled when spectating and viewing the scoreboard or ingame menu.

fix: (RB) Crosshair 11 was "dirty".

fix: (RB) Q4 weapon crosshairs were pixelated in 1.3.


Notes for version 0.76b (20 August 06)

add: com_warnings [0|1, default 0].
     Can be used to disable warnings for Windows users. Warnings are shown if developer 1 is set.

add: "passvote" server console command.
     This can be used to change any votable setting, as per "callvote" on clients. 

add: Display team/enemy models in the menus, and allow forcemodel to be toggled via the gui.

add: cg_smoke_nap added, allowing napalm smoke to be hidden.

add: "Particle detail" control in settings/system/advanced - controls bse_scale

chg: Admin menu made aware of custom modes, and now uses rcon passvote to change settings.

chg: Finally implemented "mutespec" callvote fully. Spectators are allowed to speak by default, but callvote mutespec 1 (or defined via mode)
     will mute them. This setting fully replaces the g_spectatorchat cvar.

chg: Validate mode + map are compatible when voting for either map or mode. Note that for custom modes,
     the validation will not be done when voting for both at the same time.

chg: cg_forcemodels is now saved in profiles

chg: Echo deaths to the server console.

chg: -nopicmip napalm icons

chg: XML Stats includes a "Thaws" stat for Freezetag games.

chg: "Rail Master" award is no longer given in instagib (previously all players got it, as awarded to any with 80% of their kills from rail).

chg: "Team Player" award not given in non-team games (common in Instagib due to high damage dealt, but also could apply to FFA).

chg: AddChatLine now prints to the chat area again.

fix: Correct issue with the armor hitsound not playing.

fix: spectators sometimes died. Also caused the spectator to lose ability to display menus etc.

fix: Deadzone markers were not highlighted with the team colours correctly.

fix: mainmenu wasn't resetting the crosshair guis properly when using the menu's "reset defaults" option

fix: If you try and start Deadzone on a map that doesnt support it, then drop back to FFA, rather than shutting down.

fix: Create server menu now mode aware, and can now start a server in any mode (including custom modes).

fix: Spectators do not get shown as players in scorebot reports (includes coaches).

fix: invisible menu items / multiple menus on mainmenu

fix: vidrestart warning no longer overlapping some text

fix: FT / CA can now have a drawn round if the last player on both teams die at the same time.

fix: (RB) Perf: Some under the hood tweaks for performance. Your mileage may vary, but hopefully you should see an improvement.

fix: (RB) When chat text wraps, maintain the colour from the previous line.

fix: (RB) Stopped spectators getting "you lose" messages


Notes for version 0.76a (8 August 06)

fix: packaging problem prevented linux clients from loading Q4Max when connecting to a server.


Notes for version 0.76 (8 August 06)

add: Q4 1.3 compatibility - this version of Q4Max does not run on Q4 1.2.

add: cg_thinshaft (0|1, default 0)
     Toggle between q4's default lightning gun beam and a thinner one.

add: cg_drawcrosshairnames (0|1, default 1)
     Enables displaying player names under the crosshair.

add: ui_handicap (1-100, default 100)
     Lowers the health of the player to this value, and adjusts damage done by the player.

add: many commands enabled for dedicated server console / rcon:
     players, maplist, allready, abort, marine, strogg, remove, specklockmarine, speclockstrogg, speclockall, speckunlockall, speckunlockmarine, speckunlockstrogg, autorecord.

add: callvote xgosounds [0|1, default 1]
     xgo soundpack (full mod version). Sounds are split into low and high frequencies, with the occlusion settings changed to give a better positional sound without disabling occlusion.
     Enabled by default, can be disabled by "callvote xgosounds 0" or via mode config, although believed to improve sounds for players both with and without OpenAL.

add: callvote buymode [0|1] / callvote controltime [1-999]
     note that these mode settings override and make redundant the 1.3 cvars si_controltime and si_isBuyingAllowed.
     These can be configured via a custom mode.

add: Support for buymode in CA and CTFS.
     If buymode is active, players are not given all weapons, but may buy them during the countdown period.

add: Support for buymode in CA, CTFS, and FT.
     If buymode is active, players are not given all weapons, but may buy them during the countdown period. 
     Cash awards are granted for various mode specfic events:
      - FT: thawing players, 
      - CA/FT: winning the round, 
      - CTFS: touching the flag / capping / killing all other team. 
     Only players alive at the end of the round maintain weapons from previous rounds. 

add: "weapon 10" selects the napalm gun.

add: vote_allow_modelsounds, for mode-controlled strogg/marine sounds.

add: Linux Error handling
	Access Violations and other crashes now drop to the console and log the error rather than simply segfaulting.
	Please submit the error displayed on the console if this happens (multiple lines).

add: FT - callvote ThawWhereKilled [0|1, default 0]
     determines whether a player should respawn at the location where they were killed, or at a spawn point.

add: FT - "you thawed X", "you were thawed by X" messages displayed on the hud, and "X thawed Y" chat+console messages diplayed.

add: FT - "thaws" column displayed on the scoreboard shows the number of players you have thawed.

chg: FT - player score is now awarded only upon successful thawing. Only players present at the time the player is thawed will be awarded points.

chg: FT - default mode settings closer to what people are used to from Q3.

chg: modelsounds are now on by default.

chg: players command now shows ui_handicap, net_clientprediction and com_guid of each player.
     If you wish to run a league without Punkbuster, this can be used to track players by Q4 guids.
     (note : Punkbuster's guids are NOT the same as Quake 4's.)

chg: replaced Vertex light control in the menu with an "Ambient only lighting" control.
     r_forceambient is preferred over r_vertexlight at the moment (and overrides it anyway)

chg: hud health/armor bars max out to true maximum (200), not up to 100.

chg: g_fov maximum increased to 130.

chg: net_clientprediction, r_lightdetaillevel stay in the config now

chg: playing a timeNetDemo with demo_enforcefs no longer executes reloadEngine so that you can see the result of the timedemo on the console easily.

chg: demo player now displays error messages in a popup window.

fix: removed double jump pad sounds

fix: weaponstay "pickup denied" sound no longer incorrectly played at times.

fix: (RB) missing teleport sound on napalm gun shots.

fix: crosshair names (incorrect or not) no longer displayed when spectators are following a player.
     freefloat specs still get the text, but the text is correct.

fix: Freezetag no longer counts shooting popsicles in accuracy / award calculations.

fix: FTUS + instagib now correctly has infinite ammo.

fix: warmup in instagib now correctly has infinite ammo.

fix: a few gui cvars were missing in profiles.

fix: a number of small gui glitches, more room for clan on scoreboard...

fix: masked the cd key prompt.

fix: failed votes where split 50/50 now fail, rather than timing out.

fix: crash on playing back a demo, inside the console command "reloadEngine".

fix: Spectators do not get shown as "in the game" in the scoreboard after a map change, nor players entering a game with the teams locked.


Notes for version 0.75 (17 June 06)

add: Freezetag gametype added.
     Two standard modes, "FTEU" and "FTUS". Players are frozen until thawed by a teammate.
     Callvote "thawtime" controls how long it takes to thaw.
     Callvote "thawauto" controls time before players autothaw.

add: Demo playback menu - shows all netdemos.
     To playback most demos, "Enforce Files" must be turned ON (demo_enforcefs 1 or 2)
     "Force media only" (demo_enforcefs 1) will play the demo with all the paks it was recorded with BUT using the latest Q4Max game code (instead of the version the demo was recorded with).
     "Force all paks" (demo_enforcefs 2) will play it with all paks - including game code it was recorded with (instead of the latest game code).
     Q4Max 0.75 can play most demos recorded with 0.74a and 0.74b except for TDM demos, which must be played back using "Force all paks".
     If all required files are not present, the filenames and checksums will be displayed - if more than 1 is missing, they will all be listed on the console.
     Support will not be provided for errors encountered using "Enforce Files - OFF". As usual, if there's something odd in playback, enforcefs 2 is a safe way out.

add: Player Profiles. 
     Some competitions do not allow cvars not editable via the gui to be used. Player profiles are restricted .cfg's that may only contain settings that can be adjusted via the gui.
     The cfg's can be saved and loaded via the menu interface or via the loadProfile / saveProfile commands.
     When loaded via these commands or the user interface, no "restricted" cvar can be changed, allowing this menu to be used to load configs in competitions.

add: CPMA style duel scoreboard.
     Shows stats for both players, and a layout more suited to 1v1.

add: "Net" now displayed in the TDM scoreboard.

add: Callvote modelsounds 1 enables strogg sounds on all strogg models.
     Applies a full soundset - pain, jumps, footsteps etc. Can be used with cg_enemymodel "strogg" or similar to get enemy sounds.

add: autorecord command records a netdemo with a name in the same format as autoaction recorded demos.

add: Client XML stats include "damagegiven" and "damagetaken" values

add: Server + client XML stats output kills for each weapon

add: cg_railstyle (0|1, default 1)
     alternate rail trail styles. 1 is q4 default, 0 has no swirl

add: hud_timer (-1|0|1, default 1)
     1 - Standard Q4 (countdown)
     0 - no timer
    -1 - Inverted (count up)
    
add: hud_timerposition (default 305 10)
     x/y position of the timer

chg: ui_autoswitch (bitmask, default 3) now allows switching to weapons that have no ammo
     0 manual switches
     1 auto switches
     2 manual switches, empty weapons allowed

chg: cg_ambienteffects is now a bitmask (default 3)
     0 - don't show any ambient particle effects
     1 - show world effects
     2 - show item effects

chg: instagib can now only be changed via modes - "callvote mode IFFA" instead of "callvote instagib 1"

chg: after playing a demo, force a reloadEngine command so that the "latest" menus are reloaded - applies to demo_enforcefs 1 only.

chg: autoaction demos in duel now use Name-vs-Name format

chg: "qanotes" command removed, allowing q<tab> for quit. Thx goes to RR2DO2 @ SD.

chg: brighter PM skins

chg: nopicmipped id's Pro brightskins

chg: "helmeted" skin has a bright helmet.

chg: Statistics in _ingamestats and summary statistics tab shown to .1% accuracy.

fix: (RB) "FreeCurrentPVS: invalid handle" server errors. Error reduced to a warning, code protected so that it cannot do any harm, and causes of calling FreeCurrentPVS with an invalid handle corrected.

fix: (RB) hitbeeps not sounding if a shot hit multiple targets

fix: (RB) toggling ingame stats was drawing the hud twice

fix: (RB - Performance) optimised/fixed assorted broken code, for up to 25% fps boost.

fix: (RB - Performance) projectiles performance improved, reducing CPU load when spamming with HB / RL.

fix: (RB - Performance) ui_showgun implemention changed, thus providing performance boosts with showgun 0.

fix: (RB - Performance) Improved g_simpleitems implementation, giving bigger FPS gains.

fix: (Performance) Improved cg_ambientEffects implementation, giving bigger FPS gains.

fix: (RB) Player physics bugs corrected, which were causing jumps to be missed.

fix: changing between the stock hud_styles ingame didn't initialise hud team colouring

fix: "no ammo" sign disappears properly when you pick up ammo for an empty weapon. props to Lava of jachud fame :)

fix: compound mode+map votes misbehaving, you can now vote both in one go

fix: serverdemo playback now uses the correct cg_weaponfoveffect, g_gunx/y/z cvars

fix: serverdemos no longer crash on playback if the game reaches overtime

fix: Vote menu now shows only modes defined as available on the server by si_modes (including custom modes). Note: custom modes will not be shown if si_modes is blank.



Notes for version 0.74b (10 May 06)

chg: Show a message in the chat window when someone disconnects.

chg: g_clientprojectilecolision marked as archive, so now stored in configs automatically

fix: bug relating to animations not loaded on the server, causing warnings and then state errors.

fix: health/armor no longer decreases at all during a timeout / pause.

fix: respawn minimum / maximum time no longer affected by timeout / pause.

fix: (Performance) a little more HUD tweaking.



Notes for version 0.74a (2 May 06)

fix: (Performance) player.def no longer loaded with precaching in the menu. This speeds initial load time, and also ensures that player related media is precached when in game.

fix: (Performance) crosshair gui interaction optimised.

fix: (Performance) HUD code optimised based on profiling.

fix: (Performance) g_projectileLights removed. There never are projectile lights, so the code checking for them is dead code.

fix: (Performance) Changes to the way ui_showgun is accessed.

fix: callvote map <mapname> now issues a "nextMap" on the server after changing si_map. Was causing the map not to change correctly in some cases.

Notes for version 0.74 (25 Apr 06)

add: Q4 1.2 compatibility

add: Q4 1.1 final changes, including LG buzz fix, support for * in net_serverDlTable, and tick/crosses as ready indicators in the scoreboard.

add: Spectator locking.
	"speclock", "specinvite", "specrevoke" commands for players allow teams to be locked from specing.
	"speclockstrogg", "speclockmarine", "specunlockstrogg", "specunlockmarine", "speclockall", "speckunlockall" for referees to control speclock.
	Coaches are highlighted by an orange (strogg) / green (marine) C on the scoreboard.

add: coachmode.
	"coachinvite" the player you want to be coach - accepted with "coach", and declined with "coachdecline".
	Can be revoked by team members via "coachrevoke", or by the coach via "cancelcoach". Coaches can only spec the team they're the coach of, but may take part in teamchat (including voicechat).

add: _button1 / Voice To Followed (coach) in the controls menu : send voicechat to the person you are currently viewing when you're a coach

add: "unpause" / "timein" commands as alternatives to hitting "pause" and "timeout" a second time.

add: Announcer counts in at end of pause/timeout. During this period it is possible for a player to re-pause/timeout, in case the unpause/timein was accidental.

add: Display of amount of time remaining during a timeout.

add: "cancelref" command to return to an ordinary player having previously been a referee.

add: Chat token #p - last picked-up item

add: cg_usehitscantint replacing si_allowhitscantint - made client side.
	0 - no tinting allowed
	1 - player hitscan tinting allowed in DM, NO hitscan tinting in team games
	2 - player hitscan tinting allowed in DM, use strogg-marine colors in team games
	3 - player hitscan tinting allowed in DM, use teamcolor-enemycolor in team games
	4 - enemies use cg_enemyHitscanTint and teammates use cg_teamHitscanTint
	5 - same as 4, except the local player uses ui_hitscantint

add: ui_showgun 2 - in-view gun model doesn't bob/sway.
	Also accessible via Settings - Game Options - Draw Gun Model.

add: Menus updated to include further options, and remove redundant SP options.

add: Two layer crosshairs. The second layer is controlled via g_customcrosshair2, g_crosshairsize2, g_crosshaircolor2

add: g_crosshairblink can disable blinking the crosshair red when hits are registered.

chg: g_crosshairsize no longer limited to specific values. Range 4 - 100.

chg: g_crosshairCustom number now indicates the file, rather than indicating the file cvar should be checked.
	g_crosshairCustomFile is now redundant.

chg: Some stock crosshairs made symmetric. This is required for all the crosshairs to line up properly with each other in two-layer configurations.

chg: Chat token #i now reports all items (ammo, all health and armor sizes).

chg: Renamed pm_speed, pm_walkspeed and pm_crouchspeed to g_* to resolve user issues with pm_ set to singleplayer values.

chg: r_vertexLight can now be enabled on listen servers.

chg: Show the team scores as well as team counts in CTFS / CA.

chg: g_clientProjectileCollision defaults to 0. This corrects issues with rockets apparently colliding twice.

chg: Referees are now highlighted by a yellow R in the scoreboard.

chg: net_serverDlTable set to blank (the q4 default) is assumed to be the same as *

chg: Cvar defaults for autodownload are set to automatically download from the q4files repository at http://files.quake4world.com - if your server runs maps not on this server, it is recommended that you upload the maps to this site.

chg: Reverted spawn logic to that used in q4max 0.72 and earlier.

chg: When a game ends at timelimit, output the name of the winner / winning team, rather than just "Timelimit hit".

chg: Exception handler now marks the error report more clearly, and includes the base address in the single line error report. If you get an ACCESS_VIOLATION or any similar error, then please condump and supply as much information as possible - the details from the error log are marked with "8<- - - -" markers before and after.

chg: Eliminated a couple of repeated warnings (eg precaching head model .cm's), and reduced some others to developer 1.

fix: Avoid shutting down the server if a map uses Sky Portal Cameras (eg Monsoon), when used in Tourney with 4 or more players.

fix: server hang on cycling spectators if you're following a player who disconnects, and there is nobody else you can spectate.

fix: Updated sample mapcycle.config supplied. If si_mapcycle is used to cycle maps / gametypes and the server runs CTFS, CA, or Duel you must use a q4max aware mapcycle. You also most use this if you wish to use gametype cycling, otherwise the server may suffer from shutdowns with no error.

fix: Two partial solutions to autodownload stripping the first char (engine bug). Set fs_*path without trail slashes, especially fs_basepath. If this is not the case, a warning will be shown. Also, if the missing char is detected, the download will complete, however the client will save the file to the incorrect place. 

fix: idEntity::AddDamageEffect protected against potential ACCESS_VIOLATION errors.



Notes for version 0.73 (27 Mar 06)

add: Compatibility with q4 1.1, including all additional functionality from this release.

add: startfreeze callvote/mode option which freezes player movement during countdown for CA/CTFS

add: startrespawn callvote/mode option which forces players to respawn after countdown for CA/CTFS

add: countdown callvote/mode option which changes si_countdown

add: cg_ambientEffects 0/1 allows players to disable world effects

add: cg_deadBody 0/1 allows players to disable showing of dead player bodies before they respawn

add: XSL Templates which display match stats in a "pretty" format.

add: fs_xslTemplate cvar specifies the XSL template referenced in XML stats

add: 1.1 cvars pm_zoomedslow and g_simpleitems added to the competition menu

add: "follow" command. can supply either a playerId, or a powerup ("quad", "regen", "haste", "invis", "marineflag" or "stroggflag"), and you will spec this player.

add: enemyspec callvote/mode option which enables/disables the ability to spec enemies when you're dead in CTFS / CA.

add: "timeout" command which is not restricted to refs. Limited number of timeouts (sv_maxTimeouts), and limited duration (sv_timeoutMaxLength).

add: When server uses si_allowhitscantint 3, the railtrails are tinted using cg_enemycolor / cg_teamcolor and not the default strogg / default marine colours.

chg: q4maxXML renamed to MAXStats, and now can display data on both clients and servers, and provides detailed match breakdowns in addition to summary data on servers. See separate documentation.

chg: Numerous icons made nomip

chg: Made spectator text less obtrusive

chg: g_simpleitems 1 now disables the "hologram" effect of item spawn markers

chg: g_muzzleflash now also removes the actual firing flare

chg: removed ui_model_backup, ui_model_strogg and ui_model_marine cvars

chg: Spectator text tweaked to improve visuals during video broadcasts

fix: (netcode) Reduced the amount of serverinfo data transmitted, thus reducing "SendReliableMessage overflow without allow overflow set" errors.

fix: Spectators should now be able to rejoin the game in FFA

fix: Duel no longer allows 3 players in the game if a player joins once the game has started

fix: Player names/clantags with < > & ' or " are now correctly escaped in XML output

fix: Tourney mode now correctly creates multiple arenas again

fix: Tourney mode now respects the overtime callvote correctly again

fix: Tourney mode now populates scoreboard/hud correctly at start of the tourney.

fix: force model will force the heads of models in all cases correctly now.


Notes for version 0.72 (19 Feb 06)

add: mode CTFS - CaptureStrike

add: health and armor votes for CA/CTFS
	(no vote_allow control on these: they're too trivial)

add: pause (referees only)

add: PM skins. tweak r_gamma/r_brightness/r_lightscale if they're not bright enough

add: "weapon" as an alias for _impulse 0-9 for binds

chg: menu now has zoom toggle, GL smoke, RL smoke, draw gibs, draw blood, weapon fov effect, and team model.

chg: #l now uses the same location desc as team overlay.

chg: #l works in CA.

chg: CA does not allow firing at the end of round to prevent grenade exploit.

chg: mode TOURNEY for Raven's tournament mode

chg: mode DM (also named duel) means real 1v1 play, not Raven's tournament

chg: CA spawns default to 100H/150A

chg: railguns no longer dropped on player death in IG

chg: RG has infinite ammo in IG

chg: no throwing weapons in IG/CA

chg: g_feedScorebot defaults to 1

chg: CTF defaults to no team damage

chg: removed si_entityFilter

chg: Windows only: Error handling
	Access Violations and other crashes now drop to the console and log the error rather than displaying the Windows error dialog.
	Please submit the error displayed on the console if this happens (multiple lines).

chg: Crosshair name fade-in time speeded up

chg: Crosshair name displays for spectators

chg: the #i token requires you are looking at the item more than before - gives more accurate information.

cgh: cg_logXMLStats and sv_logXMLStats (0|1 - cg defaults 1, sv defaults 0). Logs game statistics to a stats subdirectory in an XML format. 

fix: team damage setting was ignored in IG

fix: si_modes misbehaved at times

fix: dead players using #w did nasty things

fix: scorebot feeder got sulky when time went backwards (map changes)

fix: CA displays stats at end of game.

fix: CA no longer decays health > 100 during countdown.

fix: crash in some cases when railing with no team damage (eg CA).

fix: autoaction screenshots given .jpg extension

fix: CA player scores are reset at the beginning of each round

fix: g_gunx/y/z no longer affects models other than the local clients (unless following as a spec)

fix: cg_blood filters out even more blood effects.

fix: (RB) trigger_hurt works correctly in MP


Notes for version 0.71 (22 Dec 05)

add: callvote instagib, vote_allow_instagib
	use seta si_modes "IFFA ICTF ITDM" and seta si_mode IFFA
	to create an instagib-only server

add: cg_blood  (0|1, default 1)
	show bloodstains, spurts, etc on players

add: cg_gibs (0|1, default 1)
	explode corpses into itty bitty pieces

add: cg_smoke_RL, cg_smoke_GL (0|1, default 1)
	controls smoke trail effects

add: players spawn with all weapons (except DMG) and 100A in warmup

add: team overlay (health, armor, weapon, location of your teammates)

add: automatic referee privileges
	create a file called "reflist.txt" in your Q4MAX directory
	and put the GUIDs of your admins/clanmates/etc in it

add: cg_weaponFovEffect (0|1, default 0)
	controls weapon model being "pulled back" at higher fovs (like Q3)

add: Clan Arena mode (standard mode "CA")

add: "callvote mode map" to do both at once, but use the UI: it's much easier

chg: removed g_gun_roll, g_gun_yaw, g_gun_pitch
	they didn't actually do anything  :)

chg: g_fov upper limit raised to 120
	there's certainly a point at which a high FOV changes from a
	competitive setting to an exploit, but 120 is within the safe zone

chg: unlocked r_lightScale

chg: normalised the MG firing sound


Notes for version 0.70 (12 Dec 05 - the CPL Winter Release)

add: more OSP commands
	players
	lockteams
	unlockteams
	remove <player>
	marine <player>
	strogg <player>

add: cg_noChatBeep (0|1, default 0)

add: CPMA chat tokens
	#a armor
	#h health
	#i nearest significant item
	#l nearest significant item spawnpoint
	#w current weapon and ammo
	use ## if you actually want a # to show up in chat

add: r_vertexLight (0|1, default 0)
	use a (much much) faster codepath for world lighting
	r_skipBump 0 can have nasty side-effects with this
	since bumpmapping REQUIRES localised worldlights

add: ui_autoAction (default "", options "demo" "ss")
	automatically record demos, and/or take screenshot at match end
	if you want both use "demo ss"

add: si_autoAction (default "", options "demo" "ss")
	force players to record demos etc - very handy for leagues/events

chg: chat appears as "player: green text"

chg: teamchat appears as "(player): cyan text"

fix: (RB) pain sounds were really unreliable


Notes for version 0.60 (2 Dec 05)

add: OSP-style votes and vote controls (vote_allow_x)
	the vote_allow_x controls obsolete g_voteFlags
	armordecay
	armorsystem
	autobalance (team games only)
	caplimit (flag games only)
	droppowerups
	dropweapons (team games only)
	falldamage
	footsteps
	fraglimit (nonflag games only)
	kick
	map
	mode (mode does NOT have a vote_allow var: see si_modes)
	mutespecs
	nextmap
	overtime (0: sudden death, 1: 2-minute periods)
	poweruprespawn
	referee
	restart
	selfdamage
	teamdamage
	timelimit
	warmup
	weaponrespawn

add: vote_limit (default 3)
	maximum number of votes a player can call per game, 0 = no limit

add: OSP commands
	abort (referee only)
	allready (referee only)
	referee

add: cg_forceModels (default 1)
	forces player models to cg_enemyModel/cg_teamModel

add: cg_enemyModel (default "")
	forced enemy player model, blank uses default model

add: cg_teamModel (default "")
	forced team player model, blank uses default model

add: cg_forceColors (default 1)
	forces player colors to cg_enemyColor/cg_teamColor

add: cg_enemyColor ("R G B", default "")
	forced enemy player color, blank disables coloring of enemies

add: cg_teamColor ("R G B", default "")
	forced team player color, blank disables coloring of teammates

add: hud_style (default "cpmhud1")

add: ref_password (default "")
	if set, allows players to gain limited admin privileges via the "referee" command
	note that the password is case-sensitive

add: si_mode (default "FFA")
	loads a gametype and its associated rules (timelimit etc)
	this supercedes the g_gametype cvar, and MUST be used instead
	there are 5 "standard" modes: FFA, DM, TDM, CTF, ACTF
	see docs/modes.txt for information on creating custom modes

add: si_modes (default "")
	restricts the modes the server allows, blank means no restrictions
	e.g. si_modes "TDM CTF ACTF" means the server can only be used for team games

add: dropWeapon command (teamgames only)
	drops your current weapon for a teammate

add: g_feedScorebot (default 0)
	provide match information to external tools (Score_Time, Score_Marine, etc)
	you must never feed a scorebot after midnight

add: ready/notready status shown on scoreboard

chg: minimum respawn time is 2 seconds

chg: maximum respawn time is 4 seconds

chg: com_allowConsole defaults to 1

chg: players can warm up in inactive tourney arenas

chg: the UI calls FFA "FFA" rather than "DM"
	since they're not the same thing, and some of us actually know that

chg: g_voteFlags has been removed (vote_allow_x supercedes it)

chg: si_weaponStay has been removed
	"weaponRespawn 0" in a mode config replaces it

chg: si_teamDamage has been removed
	"teamDamage x" in a mode config replaces it

chg: the "centerview" command has been removed

fix: (RB) g_fov is a config cvar

fix: (RB) spawn selection code was horribly broken in DM

fix: (RB) SG and HB switch time was broken

fix: (RB) the various bob/roll cvars work correctly in MP

fix: (RB) r_displayRefresh works correctly in MP

fix: (RB) r_skipSpecular works correctly in MP
